# Copyright (C) 2016 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

native_tests := \
    adbd_test \
    android_logger_device_test_src_lib \
    android_logger_device_test_tests_config_log_level \
    android_logger_device_test_tests_default_init \
    android_logger_device_test_tests_multiple_init \
    anyhow_device_test_src_lib \
    anyhow_device_test_tests_test_autotrait \
    anyhow_device_test_tests_test_boxed \
    anyhow_device_test_tests_test_chain \
    anyhow_device_test_tests_test_context \
    anyhow_device_test_tests_test_convert \
    anyhow_device_test_tests_test_downcast \
    anyhow_device_test_tests_test_ffi \
    anyhow_device_test_tests_test_fmt \
    anyhow_device_test_tests_test_macros \
    anyhow_device_test_tests_test_repr \
    anyhow_device_test_tests_test_source \
    audio_health_tests \
    backtrace_test \
    bionic-unit-tests \
    bionic-unit-tests-static \
    bluetoothtbd_test \
    bluetooth_test_common \
    bootstat_tests \
    boringssl_crypto_test \
    boringssl_ssl_test \
    buffer_hub-test \
    buffer_hub_queue-test \
    buffer_hub_queue_producer-test \
    bugreportz_test \
    bsdiff_unittest \
    camera_client_test \
    clatd_test \
    confirmationui_invocation_test \
    crashcollector \
    debuggerd_test \
    doh_ffi_test \
    doh_unit_test \
    dumpstate_test \
    dumpstate_test_fixture \
    dumpsys_test \
    dvr_api-test \
    dvr_buffer_queue-test \
    dvr_display-test \
    gpuservice_unittest \
    gwp_asan_unittest \
    hello_world_test \
    hwui_unit_tests \
    incident_helper_test \
    incidentd_test \
    inputflinger_tests \
    installd_cache_test \
    installd_dexopt_test \
    installd_otapreopt_test \
    installd_service_test \
    installd_utils_test \
    keystore2_crypto_test_rust \
    keystore2_selinux_test \
    keystore2_test \
    lazy_static_device_test_src_lib \
    lazy_static_device_test_tests_test \
    libandroidfw_tests \
    libappfuse_test \
    libbase_test \
    libbpf_android_test \
    libcutils_test \
    libcutils_test_static \
    libgui_test \
    libhidl_test \
    libinput_tests \
    libjavacore-unit-tests \
    liblog-unit-tests \
    libminijail_unittest_gtest \
    libnativehelper_tests \
    libnetdbpf_test \
    libprocinfo_test \
    libtextclassifier_tests \
    libsurfaceflinger_unittest \
    libunwindstack_unit_test \
    libvintf_test \
    linker-unit-tests \
    logcat-unit-tests \
    logd-unit-tests \
    kernel-config-unit-tests \
    malloc_debug_unit_tests \
    memory_replay_tests \
    memunreachable_test \
    minadbd_test \
    minikin_tests \
    mj_system_unittest_gtest \
    mj_util_unittest_gtest \
    mtp_ffs_handle_test \
    net_test_audio_a2dp_hw \
    net_test_avrcp \
    net_test_bluetooth \
    net_test_bta \
    net_test_btcore \
    net_test_btif \
    net_test_btif_profile_queue \
    net_test_btpackets \
    net_test_device \
    net_test_hci \
    net_test_osi \
    net_test_performance \
    net_test_stack \
    net_test_stack_ad_parser \
    net_test_stack_multi_adv \
    net_test_stack_rfcomm \
    net_test_stack_smp \
    net_test_types \
    netd_integration_test \
    netd_unit_test \
    netdutils_test \
    nfc_test_utils \
    perfetto_integrationtests \
    posix_async_io_test \
    prioritydumper_test \
    puffin_unittest \
    quiche_device_test_src_lib \
    recovery_unit_test \
    resolv_gold_test \
    resolv_integration_test \
    resolv_unit_test \
    ring_device_test_src_lib \
    ring_device_test_tests_aead_tests \
    ring_device_test_tests_agreement_tests \
    ring_device_test_tests_constant_time_tests \
    ring_device_test_tests_digest_tests \
    ring_device_test_tests_ecdsa_tests \
    ring_device_test_tests_ed25519_tests \
    ring_device_test_tests_hkdf_tests \
    ring_device_test_tests_hmac_tests \
    ring_device_test_tests_pbkdf2_tests \
    ring_device_test_tests_quic_tests \
    ring_device_test_tests_rand_tests \
    ring_device_test_tests_rsa_tests \
    ring_device_test_tests_signature_tests \
    scrape_mmap_addr \
    simpleperf_cpu_hotplug_test \
    simpleperf_unit_test \
    statsd_test \
    syscall_filter_unittest_gtest \
    time-unit-tests \
    tokio_device_test_tests_buffered \
    tokio_device_test_tests_io_async_read \
    tokio_device_test_tests_io_copy_bidirectional \
    tokio_device_test_tests_io_lines \
    tokio_device_test_tests_io_mem_stream \
    tokio_device_test_tests_io_read \
    tokio_device_test_tests_io_read_buf \
    tokio_device_test_tests_io_read_to_end \
    tokio_device_test_tests_io_take \
    tokio_device_test_tests_io_write \
    tokio_device_test_tests_io_write_all \
    tokio_device_test_tests_io_write_buf \
    tokio_device_test_tests_io_write_int \
    tokio_device_test_tests_macros_join \
    tokio_device_test_tests_no_rt \
    tokio_device_test_tests_rt_basic \
    tokio_device_test_tests_rt_threaded \
    tokio_device_test_tests_sync_barrier \
    tokio_device_test_tests_sync_broadcast \
    tokio_device_test_tests_sync_errors \
    tokio_device_test_tests_sync_mpsc \
    tokio_device_test_tests_sync_mutex_owned \
    tokio_device_test_tests_sync_rwlock \
    tokio_device_test_tests_sync_watch \
    tokio_device_test_tests_task_local \
    tokio_device_test_tests_task_local_set \
    tokio_device_test_tests_tcp_accept \
    tokio_device_test_tests_tcp_echo \
    tokio_device_test_tests_tcp_into_std \
    tokio_device_test_tests_tcp_shutdown \
    tokio_device_test_tests_time_rt \
    tokio_device_test_tests_uds_split \
    tokio-test_device_test_src_lib \
    tokio-test_device_test_tests_block_on \
    tokio-test_device_test_tests_io \
    tokio-test_device_test_tests_macros \
    unicode-xid_device_test_src_lib \
    update_engine_unittests \
    url_device_test_src_lib \
    url_device_test_tests_data \
    url_device_test_tests_unit \
    vintf_object_test \
    wificond_unit_test \
    ziparchive-tests \
    GraphicBuffer_test \
    NeuralNetworksTest_mt_static \
    NeuralNetworksTest_operations \
    NeuralNetworksTest_static \
    NeuralNetworksTest_utils \
    SurfaceFlinger_test \
    lmkd_unit_test \
    vrflinger_test

ifeq ($(BOARD_IS_AUTOMOTIVE), true)
native_tests += libwatchdog_test
endif
