/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.server.wm.traces.parser

import android.support.annotation.IntDef

@IntDef(flag = true, value = [FLAG_STATE_DUMP_FLAG_WM, FLAG_STATE_DUMP_FLAG_LAYERS])
@Retention(AnnotationRetention.SOURCE)
annotation class WmStateDumpFlags

/**
 * Include WM trace in the dump
 */
const val FLAG_STATE_DUMP_FLAG_WM = 1

/**
 * Include the layers trace ni the dump
 */
const val FLAG_STATE_DUMP_FLAG_LAYERS = 2
